<?php

/**
 * Define a user rank for a given group.
 * @author valentin morreel
 * @category Core
 * @license copyright
 */
class ActiveDirectoryGroup extends Entity
{
	public $id,$adgroup,$rank,$firm;
	protected $TABLE_NAME = 'activedirectory_group';
	public $links = array(
		'rank' => 'Rank',
		'firm' => 'Firm'
	);
	protected $fields =
	array(
		'id' => 'key',
		'adgroup' => 'longstring',
		'rank' => 'string',
		'firm' => 'int'
		);
}
