<?php
/**
 * Define a menuitem.
 * @author Valentin CARRUESCO
 * @category Plugin
 * @license copyright
 */
class MenuItem extends Entity{
	public $id,$icon,$label,$url,$classes,$sort,$parent,$user,$target,$editable,$slug,$childs;
	public $TABLE_NAME = 'menuitem';
	public $fields =
	array(
		'id' => 'key',
		'icon' => 'string',
		'label' => 'string',
		'slug' => 'string',
		'url' => 'longstring',
		'classes' => 'string',
		'sort' => 'int',
		'user' => 'string',
		'target' => 'string',
		'editable' => 'int',
		'parent' => 'int'
	);

	function __construct(){
		parent::__construct();
		$this->editable = true;
	}

}
?>