{"label":"Fiche entité","syntax":"php"}
<?php 
if(!$myUser->connected()) throw new Exception("Vous devez être connecté pour accéder à cette fonctionnalité",401);
if(!$myUser->can('{{plugin}}','read')) throw new Exception("Vous n'avez pas la permission pour executer cette fonctionnalité",403);
require_once(__DIR__.SLASH.'{{Entity}}.class.php');
${{entity}} = {{Entity}}::provide();
?>
<div class="{{plugin}}">
	<div id="{{entity}}-form" class="row {{entity}}-form" data-action="{{plugin}}_{{entity}}_save" data-id="<?php echo ${{entity}}->id; ?>">
		<div class="col-md-12">
			<h3>{{Entity}}</h3>{{:fields}}
			<label for="{{value.key}}">{{value.label}}</label>
			{{value.input}}{{/:fields}}
			<br/>
			<div onclick="{{plugin}}_{{entity}}_save();" class="btn btn-success"><i class="fas fa-check"></i> Enregistrer</div>
		</div>
	</div>
</div>

